<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/ActionPourLiquid.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d4e/_action_pour_liquid_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionPourLiquid.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d4e/_action_pour_liquid_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dd/dba/class_action_pour_liquid_c_b.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/dba/class_action_pour_liquid_c_b.html">ActionPourLiquidCB</a> : <a class="code hl_class" href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dd/dba/class_action_pour_liquid_c_b.html#aa2db91b9656f643db37f08909f55483c">    3</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/dba/class_action_pour_liquid_c_b.html#aa2db91b9656f643db37f08909f55483c">TIME_TO_REPEAT</a> = 0.25;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../dd/dba/class_action_pour_liquid_c_b.html#ad6e50925ac15f98a93d22fc957efffe1">    5</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/dba/class_action_pour_liquid_c_b.html#ad6e50925ac15f98a93d22fc957efffe1">CreateActionComponent</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d76/class_c_a_continuous_quantity_liquid_transfer.html">CAContinuousQuantityLiquidTransfer</a>(<a class="code hl_class" href="../../d9/da2/class_u_a_quantity_consumed.html">UAQuantityConsumed</a>.<a class="code hl_variable" href="../../d9/da2/class_u_a_quantity_consumed.html#aa933b8914b3386c90c2bab2776ce753c">DRAIN_LIQUID</a>, <a class="code hl_variable" href="../../dd/dba/class_action_pour_liquid_c_b.html#aa2db91b9656f643db37f08909f55483c">TIME_TO_REPEAT</a>, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>};</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d0/dd9/class_action_pour_liquid.html">   11</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/dd9/class_action_pour_liquid.html">ActionPourLiquid</a>: <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>{</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d0/dd9/class_action_pour_liquid.html#acb34f67747b9ad1f3ba27109ad084f44">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd9/class_action_pour_liquid.html#acb34f67747b9ad1f3ba27109ad084f44">ActionPourLiquid</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">m_CallbackClass</a> = <a class="code hl_class" href="../../dd/dba/class_action_pour_liquid_c_b.html">ActionPourLiquidCB</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_EMPTY_VESSEL;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">m_CommandUIDProne</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_EMPTY_VESSEL;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> = <a class="code hl_class" href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a>.<a class="code hl_variable" href="../../d0/dbd/class_u_a_soft_skills_weight.html#aca0b0ad8f2753c2d1ba69ca1cf7baf55">PRECISE_LOW</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#pour_liquid&quot;</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d0/dd9/class_action_pour_liquid.html#a4a16fed04860824fffb776534120c372">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd9/class_action_pour_liquid.html#a4a16fed04860824fffb776534120c372">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/ddd/class_c_c_t_non_ruined.html">CCTNonRuined</a>(<a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d0/dd9/class_action_pour_liquid.html#a288033ae85933aac9a3b7be1b7daaf7c">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/dd9/class_action_pour_liquid.html#a288033ae85933aac9a3b7be1b7daaf7c">HasProneException</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d0/dd9/class_action_pour_liquid.html#a12fa1917805de5e99a21c8062dc0c83e">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/dd9/class_action_pour_liquid.html#a12fa1917805de5e99a21c8062dc0c83e">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {   </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> target_item = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(target.GetObject());</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> ( target_item &amp;&amp; item )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                <span class="keywordflow">return</span> <a class="code hl_class" href="../../db/d81/class_liquid.html">Liquid</a>.<a class="code hl_function" href="../../db/d81/class_liquid.html#ae4feb09d06d7d018b0b1f3f67e187193">CanTransfer</a>(item,target_item);;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d0/dd9/class_action_pour_liquid.html#a8442717992e1b2923cc2cdd07d580e3a">   44</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd9/class_action_pour_liquid.html#a8442717992e1b2923cc2cdd07d580e3a">OnFinishProgressServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().AddSpecialty( <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> );</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d0/dd9/class_action_pour_liquid.html#ac46649f8c076e5d15517bd9c8709c146">   49</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd9/class_action_pour_liquid.html#ac46649f8c076e5d15517bd9c8709c146">OnStartAnimationLoop</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() || <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_class" href="../../da/d60/class_bottle___base.html">Bottle_Base</a> vessel_in_hands = <a class="code hl_class" href="../../da/d60/class_bottle___base.html">Bottle_Base</a>.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() );</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            Param1&lt;bool&gt; play = <span class="keyword">new</span> Param1&lt;bool&gt;( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a37e75fed7ec2e7935722caf9cc1c6fb9">RPCSingleParam</a>( vessel_in_hands, <a class="code hl_enumeration" href="../../d9/d1a/_bottle___base_8c.html#a0dc01e5a4cd58ba01beefe51fda109c4">SoundTypeBottle</a>.POURING, play, <span class="keyword">true</span> );</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d0/dd9/class_action_pour_liquid.html#a833684dd7bc0341933332d6a871c8c40">   60</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dd9/class_action_pour_liquid.html#a833684dd7bc0341933332d6a871c8c40">OnEndAnimationLoop</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() || <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <a class="code hl_class" href="../../da/d60/class_bottle___base.html">Bottle_Base</a> target_vessel = <a class="code hl_class" href="../../da/d60/class_bottle___base.html">Bottle_Base</a>.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            Param1&lt;bool&gt; play = <span class="keyword">new</span> Param1&lt;bool&gt;( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a37e75fed7ec2e7935722caf9cc1c6fb9">RPCSingleParam</a>( target_vessel, <a class="code hl_enumeration" href="../../d9/d1a/_bottle___base_8c.html#a0dc01e5a4cd58ba01beefe51fda109c4">SoundTypeBottle</a>.POURING, play, <span class="keyword">true</span> );</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a37c66588f056fd9eb9eb3a4c4890083d"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a></div><div class="ttdeci">protected float m_SpecialtyWeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00068">ActionBase.c:68</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_bottle___base_8c_html_a0dc01e5a4cd58ba01beefe51fda109c4"><div class="ttname"><a href="../../d9/d1a/_bottle___base_8c.html#a0dc01e5a4cd58ba01beefe51fda109c4">SoundTypeBottle</a></div><div class="ttdeci">SoundTypeBottle</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1a/_bottle___base_8c_source.html#l00001">Bottle_Base.c:2</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_c_b_html"><div class="ttname"><a href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00001">ActionContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_pour_liquid_c_b_html"><div class="ttname"><a href="../../dd/dba/class_action_pour_liquid_c_b.html">ActionPourLiquidCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_action_pour_liquid_8c_source.html#l00001">ActionPourLiquid.c:2</a></div></div>
<div class="ttc" id="aclass_action_pour_liquid_c_b_html_aa2db91b9656f643db37f08909f55483c"><div class="ttname"><a href="../../dd/dba/class_action_pour_liquid_c_b.html#aa2db91b9656f643db37f08909f55483c">ActionPourLiquidCB::TIME_TO_REPEAT</a></div><div class="ttdeci">private const float TIME_TO_REPEAT</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_action_pour_liquid_8c_source.html#l00003">ActionPourLiquid.c:3</a></div></div>
<div class="ttc" id="aclass_action_pour_liquid_c_b_html_ad6e50925ac15f98a93d22fc957efffe1"><div class="ttname"><a href="../../dd/dba/class_action_pour_liquid_c_b.html#ad6e50925ac15f98a93d22fc957efffe1">ActionPourLiquidCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_action_pour_liquid_8c_source.html#l00005">ActionPourLiquid.c:5</a></div></div>
<div class="ttc" id="aclass_action_pour_liquid_html"><div class="ttname"><a href="../../d0/dd9/class_action_pour_liquid.html">ActionPourLiquid</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_action_pour_liquid_8c_source.html#l00011">ActionPourLiquid.c:12</a></div></div>
<div class="ttc" id="aclass_action_pour_liquid_html_a12fa1917805de5e99a21c8062dc0c83e"><div class="ttname"><a href="../../d0/dd9/class_action_pour_liquid.html#a12fa1917805de5e99a21c8062dc0c83e">ActionPourLiquid::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_action_pour_liquid_8c_source.html#l00033">ActionPourLiquid.c:33</a></div></div>
<div class="ttc" id="aclass_action_pour_liquid_html_a288033ae85933aac9a3b7be1b7daaf7c"><div class="ttname"><a href="../../d0/dd9/class_action_pour_liquid.html#a288033ae85933aac9a3b7be1b7daaf7c">ActionPourLiquid::HasProneException</a></div><div class="ttdeci">override bool HasProneException()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_action_pour_liquid_8c_source.html#l00028">ActionPourLiquid.c:28</a></div></div>
<div class="ttc" id="aclass_action_pour_liquid_html_a4a16fed04860824fffb776534120c372"><div class="ttname"><a href="../../d0/dd9/class_action_pour_liquid.html#a4a16fed04860824fffb776534120c372">ActionPourLiquid::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_action_pour_liquid_8c_source.html#l00022">ActionPourLiquid.c:22</a></div></div>
<div class="ttc" id="aclass_action_pour_liquid_html_a833684dd7bc0341933332d6a871c8c40"><div class="ttname"><a href="../../d0/dd9/class_action_pour_liquid.html#a833684dd7bc0341933332d6a871c8c40">ActionPourLiquid::OnEndAnimationLoop</a></div><div class="ttdeci">override void OnEndAnimationLoop(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_action_pour_liquid_8c_source.html#l00060">ActionPourLiquid.c:60</a></div></div>
<div class="ttc" id="aclass_action_pour_liquid_html_a8442717992e1b2923cc2cdd07d580e3a"><div class="ttname"><a href="../../d0/dd9/class_action_pour_liquid.html#a8442717992e1b2923cc2cdd07d580e3a">ActionPourLiquid::OnFinishProgressServer</a></div><div class="ttdeci">override void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_action_pour_liquid_8c_source.html#l00044">ActionPourLiquid.c:44</a></div></div>
<div class="ttc" id="aclass_action_pour_liquid_html_ac46649f8c076e5d15517bd9c8709c146"><div class="ttname"><a href="../../d0/dd9/class_action_pour_liquid.html#ac46649f8c076e5d15517bd9c8709c146">ActionPourLiquid::OnStartAnimationLoop</a></div><div class="ttdeci">override void OnStartAnimationLoop(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_action_pour_liquid_8c_source.html#l00049">ActionPourLiquid.c:49</a></div></div>
<div class="ttc" id="aclass_action_pour_liquid_html_acb34f67747b9ad1f3ba27109ad084f44"><div class="ttname"><a href="../../d0/dd9/class_action_pour_liquid.html#acb34f67747b9ad1f3ba27109ad084f44">ActionPourLiquid::ActionPourLiquid</a></div><div class="ttdeci">void ActionPourLiquid()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_action_pour_liquid_8c_source.html#l00013">ActionPourLiquid.c:13</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a7bce84f3ceb181aacfabdfb000c56461"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">AnimatedActionBase::m_CallbackClass</a></div><div class="ttdeci">protected m_CallbackClass</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00127">AnimatedActionBase.c:127</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_aff0b345c6a0a8469dfb7bc27365a11bd"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">AnimatedActionBase::m_CommandUIDProne</a></div><div class="ttdeci">protected int m_CommandUIDProne</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00126">AnimatedActionBase.c:126</a></div></div>
<div class="ttc" id="aclass_bottle___base_html"><div class="ttname"><a href="../../da/d60/class_bottle___base.html">Bottle_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00001">CanisterGasoline.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_quantity_liquid_transfer_html"><div class="ttname"><a href="../../d4/d76/class_c_a_continuous_quantity_liquid_transfer.html">CAContinuousQuantityLiquidTransfer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d95/_c_a_continuous_quantity_liquid_transfer_8c_source.html#l00001">CAContinuousQuantityLiquidTransfer.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_non_ruined_html"><div class="ttname"><a href="../../dc/ddd/class_c_c_t_non_ruined.html">CCTNonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/da0/_c_c_t_non_ruined_8c_source.html#l00001">CCTNonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_game_html_a37e75fed7ec2e7935722caf9cc1c6fb9"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a37e75fed7ec2e7935722caf9cc1c6fb9">CGame::RPCSingleParam</a></div><div class="ttdeci">void RPCSingleParam(Object target, int rpc_type, Param param, bool guaranteed, PlayerIdentity recipient=NULL)</div><div class="ttdoc">see CGame.RPC</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l00852">Game.c:852</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_liquid_html"><div class="ttname"><a href="../../db/d81/class_liquid.html">Liquid</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dfb/_liquid_8c_source.html#l00001">Liquid.c:2</a></div></div>
<div class="ttc" id="aclass_liquid_html_ae4feb09d06d7d018b0b1f3f67e187193"><div class="ttname"><a href="../../db/d81/class_liquid.html#ae4feb09d06d7d018b0b1f3f67e187193">Liquid::CanTransfer</a></div><div class="ttdeci">static bool CanTransfer(ItemBase source_ent, ItemBase target_ent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dfb/_liquid_8c_source.html#l00084">Liquid.c:84</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="aclass_u_a_quantity_consumed_html"><div class="ttname"><a href="../../d9/da2/class_u_a_quantity_consumed.html">UAQuantityConsumed</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00003">ActionConstants.c:4</a></div></div>
<div class="ttc" id="aclass_u_a_quantity_consumed_html_aa933b8914b3386c90c2bab2776ce753c"><div class="ttname"><a href="../../d9/da2/class_u_a_quantity_consumed.html#aa933b8914b3386c90c2bab2776ce753c">UAQuantityConsumed::DRAIN_LIQUID</a></div><div class="ttdeci">const float DRAIN_LIQUID</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00012">ActionConstants.c:12</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00114">ActionConstants.c:115</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html_aca0b0ad8f2753c2d1ba69ca1cf7baf55"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html#aca0b0ad8f2753c2d1ba69ca1cf7baf55">UASoftSkillsWeight::PRECISE_LOW</a></div><div class="ttdeci">const float PRECISE_LOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00119">ActionConstants.c:119</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_c32df7f94f13da663005da9ea489a0b6.html">Continuous</a></li><li class="navelem"><a class="el" href="../../dc/d4e/_action_pour_liquid_8c.html">ActionPourLiquid.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
